OGRE-Next: Ogre::TextureGpuManager::BudgetEntry Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::TextureGpuManager::BudgetEntry Struct Reference

Specifies the minimum squared resolution & number of slices to keep around all the for time StagingTextures. More...

`#include <OgreTextureGpuManager.h>`

## Public Member Functions
| BudgetEntry ()
| BudgetEntry (PixelFormatGpu _formatFamily, uint32 _minResolution, uint32 _minNumSlices)
bool | operator() (const BudgetEntry &_l, const BudgetEntry &_r) const

## Public Attributes
PixelFormatGpu | formatFamily
uint32 | minNumSlices
uint32 | minResolution

## Detailed Description

Specifies the minimum squared resolution & number of slices to keep around all the for time StagingTextures.

So: PixelFormatGpu format = PixelFormatGpuUtils::getFamily(PFG_RGBA8_UNORM); BudgetEntry( format, 4096u, 2u ); Will keep around 128MB of staging texture, with a resolution of 4096x4096 x 2 slices.

## Constructor & Destructor Documentation

## ◆ BudgetEntry() [1/2]

Ogre::TextureGpuManager::BudgetEntry::BudgetEntry | ( |  | ) |
| inline

References formatFamily, minNumSlices, minResolution, and Ogre::PFG_UNKNOWN.

Referenced by operator()().

## ◆ BudgetEntry() [2/2]

Ogre::TextureGpuManager::BudgetEntry::BudgetEntry | ( | PixelFormatGpu | _formatFamily,
|  | uint32 | _minResolution,
|  | uint32 | _minNumSlices )
| inline

References formatFamily, minNumSlices, and minResolution.

## Member Function Documentation

## ◆ operator()()

bool Ogre::TextureGpuManager::BudgetEntry::operator() | ( | const BudgetEntry & | _l,
|  | const BudgetEntry & | _r ) const

References BudgetEntry().

## Member Data Documentation

## ◆ formatFamily

PixelFormatGpu Ogre::TextureGpuManager::BudgetEntry::formatFamily

Referenced by BudgetEntry(), and BudgetEntry().

## ◆ minNumSlices

uint32 Ogre::TextureGpuManager::BudgetEntry::minNumSlices

Referenced by BudgetEntry(), and BudgetEntry().

## ◆ minResolution

uint32 Ogre::TextureGpuManager::BudgetEntry::minResolution

Referenced by BudgetEntry(), and BudgetEntry().

The documentation for this struct was generated from the following file:

- OgreTextureGpuManager.h